import { ofetch } from 'ofetch'

const API = import.meta.env.VITE_BACKEND

export default async (api: string) => {
  try {
    const fetchResponse = await ofetch(API + api)

    const resultObject: Record<string, any> = {}

    for (let i = 1; i <= 10; i++) {
      const propertyName = `result${i}`
      if (fetchResponse.hasOwnProperty(propertyName)) {
        resultObject[propertyName] = fetchResponse[propertyName]
      }
    }

    return resultObject
  } catch {
    return false
  }
}
